commit:     2a9da294f39199baec5a9eedd5ee368d62af42ec
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 11 12:16:43 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Aug 11 12:18:16 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a9da294

dev-vcs/subversion: Security bump to versions 1.8.18 and 1.9.7

Committed straight to stable.

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-vcs/subversion/Manifest                 |   2 +
 dev-vcs/subversion/subversion-1.8.18.ebuild | 512 ++++++++++++++++++++++++++++
 dev-vcs/subversion/subversion-1.9.7.ebuild  | 510 +++++++++++++++++++++++++++
 3 files changed, 1024 insertions(+)

diff --git a/dev-vcs/subversion/Manifest b/dev-vcs/subversion/Manifest
index 915904a6d36..1de734c86af 100644
--- a/dev-vcs/subversion/Manifest
+++ b/dev-vcs/subversion/Manifest
@@ -1,3 +1,5 @@
 DIST subversion-1.8.17.tar.bz2 6924354 SHA256 
de119538d29a5f2c028984cb54a55a4af3e9c32fa9316331bcbe5719e474a090 SHA512 
49de24703bc40ccfd5a5df15215fd037f81c20f3047be5d3321bb2ce53dc7664505460791408a8989ede4a1357a0bdb49fb90a3db6ea2e2893c14a13a15b3ae7
 WHIRLPOOL 
6b420eb23fbf01ba418d759c275d1f0778c3904c76b78e88d4e82ed948fb44f578f6b171f927e4a4d96cf59eb49b528c9204909951d2cb41ad62804979098f1e
+DIST subversion-1.8.18.tar.bz2 6884906 SHA256 
e56b00ad3e927183bb6568781b85fe66dd3a7372c342af6e73b21a4473c397a6 SHA512 
48d596c442da34fa3eb4f0f8b10cc3d5d27841b2fc4e7a493cac8e6f4c722f63fcd67fe99dfac5bbe31ac405055072a304d9a6771974c9990927cb21c5eb31d0
 WHIRLPOOL 
a4e44512406bdadf8d80df4d888c0a6992affc04cd1de1a59482d031039ab9a485a85ab297b26f2f5c91c7883b14e00a7300b26413c28a5868f10424ff8c1c82
 DIST subversion-1.9.5.tar.bz2 7904861 SHA256 
8a4fc68aff1d18dcb4dd9e460648d24d9e98657fbed496c582929c6b3ce555e5 SHA512 
ff7241ffae2506e97f40011242b5d5c6fa665f5463743f9acc52136b59ad84b6db00b60e70c44a9060579db49b818db06da1d1352aaee78e5bfe6ce56f32a2cf
 WHIRLPOOL 
37a124dc2f99bb465b47083de168530f8178305e3208972d56c2c29a93bbf73ded816f742808cf9e7a5d3f13690e48cdd9f800abd85452ad1da4c13d603454f3
 DIST subversion-1.9.6.tar.bz2 7882084 SHA256 
dbcbc51fb634082f009121f2cb64350ce32146612787ffb0f7ced351aacaae19 SHA512 
bdca362ff45a7f028e2123efbc9bfd41a07e6ebdfcf62627ce24f413e0304b45011bbac1f142ceb1c031a07622c06786982f86cd9109065cae5e26fd689fc11e
 WHIRLPOOL 
27f3701273806c8968aed62eca9f5c13a086785362173b351d0e06fdf5d96ebdf4a461a019016cf7f2ae5b74f4f01c9fabd4706a7ac764d6e23543d87a5aaaa5
+DIST subversion-1.9.7.tar.bz2 7881909 SHA256 
c3b118333ce12e501d509e66bb0a47bcc34d053990acab45559431ac3e491623 SHA512 
a55efd3edaddbc099450d849fcc6fe5a8d20b85ece966d8ac2fd73ee9cb4255a0349bbcfceb4e9fca6daf054ce7c648eff8d273c6873f5dade6e62dcea7eeb2b
 WHIRLPOOL 
ec2491100ebc94fe9bb82b50daf349564ba7bf1ec7b404bf5a31aec0e1e0932843b41d96813a2659220e139c34aa996ddcbb2999528c49cea3dede2f2af43bf2

diff --git a/dev-vcs/subversion/subversion-1.8.18.ebuild 
b/dev-vcs/subversion/subversion-1.8.18.ebuild
new file mode 100644
index 00000000000..663a46742ac
--- /dev/null
+++ b/dev-vcs/subversion/subversion-1.8.18.ebuild
@@ -0,0 +1,512 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+USE_RUBY="ruby22 ruby21 ruby20"
+DISTUTILS_OPTIONAL=1
+WANT_AUTOMAKE="none"
+GENTOO_DEPEND_ON_PERL="no"
+
+inherit autotools bash-completion-r1 db-use depend.apache distutils-r1 
elisp-common eutils flag-o-matic java-pkg-opt-2 libtool multilib perl-module 
ruby-single
+
+MY_P="${P/_/-}"
+DESCRIPTION="Advanced version control system"
+HOMEPAGE="http://subversion.apache.org/";
+SRC_URI="mirror://apache/${PN}/${MY_P}.tar.bz2"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="Subversion GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 
~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
+IUSE="apache2 berkdb ctypes-python debug doc +dso extras gnome-keyring +http 
java kwallet nls perl python ruby sasl test vim-syntax"
+
+COMMON_DEPEND="
+       app-arch/bzip2
+       >=dev-db/sqlite-3.7.12
+       >=dev-libs/apr-1.3:1
+       >=dev-libs/apr-util-1.3:1
+       dev-libs/expat
+       sys-apps/file
+       sys-libs/zlib
+       berkdb? ( >=sys-libs/db-4.0.14:= )
+       ctypes-python? ( ${PYTHON_DEPS} )
+       gnome-keyring? ( dev-libs/glib:2 sys-apps/dbus 
gnome-base/libgnome-keyring )
+       http? ( >=net-libs/serf-1.2.1 )
+       kwallet? ( sys-apps/dbus dev-qt/qtcore:4 dev-qt/qtdbus:4 dev-qt/qtgui:4 
kde-frameworks/kdelibs:4 )
+       perl? ( dev-lang/perl:= )
+       python? ( ${PYTHON_DEPS} )
+       ruby? ( ${RUBY_DEPS} )
+       sasl? ( dev-libs/cyrus-sasl )"
+RDEPEND="${COMMON_DEPEND}
+       apache2? ( www-servers/apache[apache2_modules_dav] )
+       java? ( >=virtual/jre-1.5 )
+       kwallet? ( || (
+               ( >=kde-frameworks/kwallet-5.34.0-r1 )
+               ( kde-apps/kwalletd:4 )
+       ) )
+       nls? ( virtual/libintl )
+       perl? ( dev-perl/URI )"
+# Note: ctypesgen doesn't need PYTHON_USEDEP, it's used once
+DEPEND="${COMMON_DEPEND}
+       !!<sys-apps/sandbox-1.6
+       ctypes-python? ( dev-python/ctypesgen )
+       doc? ( app-doc/doxygen )
+       gnome-keyring? ( virtual/pkgconfig )
+       http? ( virtual/pkgconfig )
+       java? ( >=virtual/jdk-1.5 )
+       kwallet? ( virtual/pkgconfig )
+       nls? ( sys-devel/gettext )
+       test? ( ${PYTHON_DEPS} )"
+
+REQUIRED_USE="
+       ctypes-python? ( ${PYTHON_REQUIRED_USE} )
+       python? ( ${PYTHON_REQUIRED_USE} )
+       test? (
+               ${PYTHON_REQUIRED_USE}
+               !dso
+       )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.5.4-interix.patch
+       "${FILESDIR}"/${PN}-1.5.6-aix-dso.patch
+       "${FILESDIR}"/${PN}-1.8.0-hpux-dso.patch
+       "${FILESDIR}"/${PN}-fix-parallel-build-support-for-perl-bindings.patch
+       "${FILESDIR}"/${PN}-1.8.1-revert_bdb6check.patch
+       "${FILESDIR}"/${PN}-1.8.16-javadoc-nolint.patch
+)
+
+want_apache
+
+pkg_setup() {
+       if use berkdb ; then
+               local apu_bdb_version="$(${EPREFIX}/usr/bin/apu-1-config 
--includes \
+                       | grep -Eoe 
'-I${EPREFIX}/usr/include/db[[:digit:]]\.[[:digit:]]' \
+                       | sed 's:.*b::')"
+               einfo
+               if [[ -z "${SVN_BDB_VERSION}" ]] ; then
+                       if [[ -n "${apu_bdb_version}" ]] ; then
+                               SVN_BDB_VERSION="${apu_bdb_version}"
+                               einfo "Matching db version to apr-util"
+                       else
+                               SVN_BDB_VERSION="$(db_ver_to_slot "$(db_findver 
sys-libs/db 2>/dev/null)")"
+                               einfo "SVN_BDB_VERSION variable isn't set. You 
can set it to enforce using of specific version of Berkeley DB."
+                       fi
+               fi
+               einfo "Using: Berkeley DB ${SVN_BDB_VERSION}"
+               einfo
+
+               if [[ -n "${apu_bdb_version}" && "${SVN_BDB_VERSION}" != 
"${apu_bdb_version}" ]]; then
+                       eerror "APR-Util is linked against Berkeley DB 
${apu_bdb_version}, but you are trying"
+                       eerror "to build Subversion with support for Berkeley 
DB ${SVN_BDB_VERSION}."
+                       eerror "Rebuild dev-libs/apr-util or set 
SVN_BDB_VERSION=\"${apu_bdb_version}\"."
+                       eerror "Aborting to avoid possible run-time crashes."
+                       die "Berkeley DB version mismatch"
+               fi
+       fi
+
+       depend.apache_pkg_setup
+
+       java-pkg-opt-2_pkg_setup
+
+       if ! use http ; then
+               ewarn "WebDAV support is disabled. You need WebDAV to"
+               ewarn "access repositories through the HTTP protocol."
+               ewarn "Consider enabling \"http\" USE flag"
+               echo -ne "\a"
+       fi
+
+       if use debug ; then
+               append-cppflags -DSVN_DEBUG -DAP_DEBUG
+       fi
+
+       # 
http://mail-archives.apache.org/mod_mbox/subversion-dev/201306.mbox/%3c51c42014.3060...@wandisco.com%3E
+       [[ ${CHOST} == *-solaris2* ]] && append-cppflags -D__EXTENSIONS__
+
+       # Allow for custom repository locations.
+       SVN_REPOS_LOC="${SVN_REPOS_LOC:-${EPREFIX}/var/svn}"
+
+       if use ruby ; then
+               local rbslot
+               RB_VER=""
+               for rbslot in $(sed 
's@\([[:digit:]]\+\)\([[:digit:]]\)@\1.\2@g' <<< ${USE_RUBY//ruby}) ; do
+                       if has_version dev-lang/ruby:${rbslot} ;  then
+                               RB_VER="${rbslot/.}"
+                               break
+                       fi
+               done
+               [[ -z "${RB_VER}" ]] && die "No useable ruby version found"
+       fi
+}
+
+src_prepare() {
+       epatch "${PATCHES[@]}"
+
+       fperms +x build/transform_libtool_scripts.sh
+
+       sed -i \
+               -e "s/\(BUILD_RULES=.*\) bdb-test\(.*\)/\1\2/g" \
+               -e "s/\(BUILD_RULES=.*\) test\(.*\)/\1\2/g" configure.ac
+
+       # this bites us in particular on Solaris
+       sed -i -e '1c\#!/usr/bin/env sh' build/transform_libtool_scripts.sh || \
+               die "/bin/sh is not POSIX shell!"
+
+       eautoconf
+       elibtoolize
+
+       sed -e 's/\(libsvn_swig_py\)-\(1\.la\)/\1-$(EPYTHON)-\2/g' \
+               -i build-outputs.mk || die "sed failed"
+
+       if use python ; then
+               if [[ ${CHOST} == *-darwin* ]] ; then
+                       # 
http://mail-archives.apache.org/mod_mbox/subversion-dev/201306.mbox/%3C20130614113003.GA19257@tarsus.local2%3E
+                       # in short, we don't have gnome-keyring stuff here, 
patch
+                       # borrowed from MacPorts
+                       epatch 
"${FILESDIR}"/${PN}-1.8.5-swig-python-no-gnome-keyring.patch
+               fi
+
+               # XXX: make python_copy_sources accept path
+               S=${S}/subversion/bindings/swig/python python_copy_sources
+               rm -r "${S}"/subversion/bindings/swig/python || die
+       fi
+}
+
+src_configure() {
+       local myconf=()
+
+       if use python || use perl || use ruby; then
+               myconf+=( --with-swig )
+       else
+               myconf+=( --without-swig )
+       fi
+
+       if use java ; then
+               myconf+=( --without-junit )
+       fi
+
+       case ${CHOST} in
+               *-aix*)
+                       # avoid recording immediate path to sharedlibs into 
executables
+                       append-ldflags -Wl,-bnoipath
+               ;;
+               *-interix*)
+                       # loader crashes on the LD_PRELOADs...
+                       myconf+=( --disable-local-library-preloading )
+               ;;
+               *-solaris*)
+                       # need -lintl to link
+                       use nls && append-libs intl
+                       # this breaks installation, on x64 echo replacement is 
32-bits
+                       myconf+=( --disable-local-library-preloading )
+               ;;
+               *-mint*)
+                       myconf+=( --enable-all-static 
--disable-local-library-preloading )
+               ;;
+               *)
+                       # inject LD_PRELOAD entries for easy in-tree development
+                       myconf+=( --enable-local-library-preloading )
+               ;;
+       esac
+
+       #version 1.7.7 again tries to link against the older installed version 
and fails, when trying to
+       #compile for x86 on amd64, so workaround this issue again
+       #check newer versions, if this is still/again needed
+       myconf+=( --disable-disallowing-of-undefined-references )
+
+       # for build-time scripts
+       if use ctypes-python || use python || use test; then
+               python_setup
+       fi
+
+       if use python && [[ ${CHOST} == *-darwin* ]] ; then
+               export ac_cv_python_link="$(tc-getCC) "'$(PYTHON_CFLAGS) 
-bundle -undefined dynamic_lookup $(PYTHON_LIBS)'
+               export ac_cv_python_libs='$(PYTHON_CFLAGS) -bundle -undefined 
dynamic_lookup $(PYTHON_LIBS)'
+               export ac_cv_python_compile="$(tc-getCC)"
+       fi
+
+       # allow overriding Python include directory
+       ac_cv_path_RUBY=$(usex ruby "${EPREFIX}/usr/bin/ruby${RB_VER}" "none") \
+       ac_cv_path_RDOC=$(usex ruby "${EPREFIX}/usr/bin/rdoc${RB_VER}" "none") \
+       ac_cv_python_includes='-I$(PYTHON_INCLUDEDIR)' \
+       econf --libdir="${EPREFIX}/usr/$(get_libdir)" \
+               $(use_with apache2 apache-libexecdir) \
+               $(use_with apache2 apxs "${APXS}") \
+               $(use_with berkdb berkeley-db 
"db.h:${EPREFIX}/usr/include/db${SVN_BDB_VERSION}::db-${SVN_BDB_VERSION}") \
+               $(use_with ctypes-python ctypesgen "${EPREFIX}/usr") \
+               $(use_enable dso runtime-module-search) \
+               $(use_with gnome-keyring) \
+               $(use_enable java javahl) \
+               $(use_with java jdk "${JAVA_HOME}") \
+               $(use_with kwallet) \
+               $(use_enable nls) \
+               $(use_with sasl) \
+               $(use_with http serf) \
+               ${myconf[@]} \
+               --with-apr="${EPREFIX}/usr/bin/apr-1-config" \
+               --with-apr-util="${EPREFIX}/usr/bin/apu-1-config" \
+               --disable-experimental-libtool \
+               --without-jikes \
+               --disable-mod-activation \
+               --disable-static
+}
+
+src_compile() {
+       emake local-all
+
+       if use ctypes-python ; then
+               # pre-generate .py files
+               use ctypes-python && emake ctypes-python
+
+               pushd subversion/bindings/ctypes-python >/dev/null || die
+               distutils-r1_src_compile
+               popd >/dev/null || die
+       fi
+
+       if use python ; then
+               swig_py_compile() {
+                       local p=subversion/bindings/swig/python
+                       rm -f ${p} || die
+                       ln -s "${BUILD_DIR}" ${p} || die
+
+                       python_export PYTHON_INCLUDEDIR
+                       emake swig-py \
+                               swig_pydir="$(python_get_sitedir)/libsvn" \
+                               swig_pydir_extra="$(python_get_sitedir)/svn"
+               }
+
+               # this will give us proper BUILD_DIR for symlinking
+               BUILD_DIR=python \
+               python_foreach_impl swig_py_compile
+       fi
+
+       if use perl ; then
+               emake swig-pl
+       fi
+
+       if use ruby ; then
+               emake swig-rb
+       fi
+
+       if use java ; then
+               emake -j1 JAVAC_FLAGS="$(java-pkg_javac-args) -encoding 
iso8859-1" javahl
+       fi
+
+       if use extras ; then
+               emake tools
+       fi
+
+       if use doc ; then
+               doxygen doc/doxygen.conf || die "Building of Subversion HTML 
documentation failed"
+
+               if use java; then
+                       emake doc-javahl
+               fi
+       fi
+}
+
+src_test() {
+       if has_version ~${CATEGORY}/${P} ; then
+               default
+
+               if use ctypes-python ; then
+                       python_test() {
+                               "${PYTHON}" 
subversion/bindings/ctypes-python/test/run_all.py \
+                                       || die "ctypes-python tests fail with 
${EPYTHON}"
+                       }
+
+                       distutils-r1_src_test
+               fi
+
+               if use python ; then
+                       swig_py_test() {
+                               pushd "${BUILD_DIR}" >/dev/null || die
+                               "${PYTHON}" tests/run_all.py || die "swig-py 
tests fail with ${EPYTHON}"
+                               popd >/dev/null || die
+                       }
+
+                       BUILD_DIR=subversion/bindings/swig/python \
+                       python_foreach_impl swig_py_test
+               fi
+       else
+               ewarn "The test suite shows errors when there is an older 
version of"
+               ewarn "${CATEGORY}/${PN} installed. Please install 
=${CATEGORY}/${P}*"
+               ewarn "before running the test suite."
+               ewarn "Test suite skipped."
+       fi
+}
+
+src_install() {
+       emake -j1 DESTDIR="${D}" local-install
+
+       if use ctypes-python ; then
+               pushd subversion/bindings/ctypes-python >/dev/null || die
+               distutils-r1_src_install
+               popd >/dev/null || die
+       fi
+
+       if use python ; then
+               swig_py_install() {
+                       local p=subversion/bindings/swig/python
+                       rm -f ${p} || die
+                       ln -s "${BUILD_DIR}" ${p} || die
+
+                       emake \
+                               DESTDIR="${D}" \
+                               swig_pydir="$(python_get_sitedir)/libsvn" \
+                               swig_pydir_extra="$(python_get_sitedir)/svn" \
+                               install-swig-py
+               }
+
+               BUILD_DIR=python \
+               python_foreach_impl swig_py_install
+       fi
+
+       if use perl ; then
+               emake DESTDIR="${D}" INSTALLDIRS="vendor" install-swig-pl
+               perl_delete_localpod
+               find "${ED}" "(" -name .packlist -o -name "*.bs" ")" -delete
+       fi
+
+       if use ruby ; then
+               emake DESTDIR="${D}" install-swig-rb
+       fi
+
+       if use java ; then
+               emake DESTDIR="${D}" install-javahl
+               java-pkg_regso 
"${ED}"usr/$(get_libdir)/libsvnjavahl*$(get_libname)
+               java-pkg_dojar 
"${ED}"usr/$(get_libdir)/svn-javahl/svn-javahl.jar
+               rm -fr "${ED}"usr/$(get_libdir)/svn-javahl/*.jar
+       fi
+
+       # Install Apache module configuration.
+       if use apache2 ; then
+               keepdir "${APACHE_MODULES_CONFDIR}"
+               insinto "${APACHE_MODULES_CONFDIR}"
+               doins "${FILESDIR}/47_mod_dav_svn.conf"
+       fi
+
+       # Install Bash Completion, bug 43179.
+       newbashcomp tools/client-side/bash_completion svn
+       bashcomp_alias svn svn{admin,dumpfilter,look,sync,version}
+       rm -f tools/client-side/bash_completion
+
+       # Install hot backup script, bug 54304.
+       newbin tools/backup/hot-backup.py svn-hot-backup
+       rm -fr tools/backup
+
+       # Install svnserve init-script and xinet.d snippet, bug 43245.
+       newinitd "${FILESDIR}"/svnserve.initd3 svnserve
+       newconfd "${FILESDIR}"/svnserve.confd svnserve
+       insinto /etc/xinetd.d
+       newins "${FILESDIR}"/svnserve.xinetd svnserve
+
+       #adjust default user and group with disabled apache2 USE flag, bug 
381385
+       use apache2 || sed -e "s\USER:-apache\USER:-svn\g" \
+                       -e "s\GROUP:-apache\GROUP:-svnusers\g" \
+                       -i "${ED}"etc/init.d/svnserve || die
+       use apache2 || sed -e "0,/apache/s//svn/" \
+                       -e "s:apache:svnusers:" \
+                       -i "${ED}"etc/xinetd.d/svnserve || die
+
+       # Install documentation.
+       dodoc CHANGES COMMITTERS README
+       dodoc tools/xslt/svnindex.{css,xsl}
+       rm -fr tools/xslt
+
+       # Install extra files.
+       if use extras ; then
+               cat << EOF > 80subversion-extras
+PATH="${EPREFIX}/usr/$(get_libdir)/subversion/bin"
+ROOTPATH="${EPREFIX}/usr/$(get_libdir)/subversion/bin"
+EOF
+               doenvd 80subversion-extras
+
+               emake DESTDIR="${D}" 
toolsdir="/usr/$(get_libdir)/subversion/bin" install-tools
+
+               find tools "(" -name "*.bat" -o -name "*.in" -o -name ".libs" 
")" -print0 | xargs -0 rm -fr
+               rm -fr tools/client-side/svnmucc
+               rm -fr 
tools/server-side/{svn-populate-node-origins-index,svnauthz-validate}*
+               rm -fr tools/{buildbot,dev,diff,po}
+
+               insinto /usr/share/${PN}
+               find tools -name '*.py' -exec sed -i -e '1s:python:&2:' {} + || 
die
+               doins -r tools
+       fi
+
+       if use doc ; then
+               docinto html
+               dodoc -r doc/doxygen/html/*
+
+               if use java ; then
+                       java-pkg_dojavadoc doc/javadoc
+               fi
+       fi
+
+       prune_libtool_files --all
+
+       cd "${ED}"usr/share/locale
+       for i in * ; do
+               [[ ${i} == *$LINGUAS* ]] || { rm -r ${i} || die ; }
+       done
+}
+
+pkg_preinst() {
+       # Compare versions of Berkeley DB, bug 122877.
+       if use berkdb && [[ -f "${EROOT}usr/bin/svn" ]] ; then
+               OLD_BDB_VERSION="$(scanelf -nq 
"${EROOT}usr/$(get_libdir)/libsvn_subr-1$(get_libname 0)" | grep -Eo 
"libdb-[[:digit:]]+\.[[:digit:]]+" | sed -e "s/libdb-\(.*\)/\1/")"
+               NEW_BDB_VERSION="$(scanelf -nq 
"${ED}usr/$(get_libdir)/libsvn_subr-1$(get_libname 0)" | grep -Eo 
"libdb-[[:digit:]]+\.[[:digit:]]+" | sed -e "s/libdb-\(.*\)/\1/")"
+               if [[ "${OLD_BDB_VERSION}" != "${NEW_BDB_VERSION}" ]] ; then
+                       CHANGED_BDB_VERSION="1"
+               fi
+       fi
+}
+
+pkg_postinst() {
+       if [[ -n "${CHANGED_BDB_VERSION}" ]] ; then
+               ewarn "You upgraded from an older version of Berkeley DB and 
may experience"
+               ewarn "problems with your repository. Run the following 
commands as root to fix it:"
+               ewarn "    db4_recover -h ${SVN_REPOS_LOC}/repos"
+               ewarn "    chown -Rf apache:apache ${SVN_REPOS_LOC}/repos"
+       fi
+
+       ewarn "If you run subversion as a daemon, you will need to restart it 
to avoid module mismatches."
+}
+
+pkg_postrm() {
+       :
+}
+
+pkg_config() {
+       # Remember: Don't use ${EROOT}${SVN_REPOS_LOC} since ${SVN_REPOS_LOC}
+       # already has EPREFIX in it
+       einfo "Initializing the database in ${SVN_REPOS_LOC}..."
+       if [[ -e "${SVN_REPOS_LOC}/repos" ]] ; then
+               echo "A Subversion repository already exists and I will not 
overwrite it."
+               echo "Delete \"${SVN_REPOS_LOC}/repos\" first if you're sure 
you want to have a clean version."
+       else
+               mkdir -p "${SVN_REPOS_LOC}/conf"
+
+               einfo "Populating repository directory..."
+               # Create initial repository.
+               "${EROOT}usr/bin/svnadmin" create "${SVN_REPOS_LOC}/repos"
+
+               einfo "Setting repository permissions..."
+               SVNSERVE_USER="$(. "${EROOT}etc/conf.d/svnserve"; echo 
"${SVNSERVE_USER}")"
+               SVNSERVE_GROUP="$(. "${EROOT}etc/conf.d/svnserve"; echo 
"${SVNSERVE_GROUP}")"
+               if use apache2 ; then
+                       [[ -z "${SVNSERVE_USER}" ]] && SVNSERVE_USER="apache"
+                       [[ -z "${SVNSERVE_GROUP}" ]] && SVNSERVE_GROUP="apache"
+               else
+                       [[ -z "${SVNSERVE_USER}" ]] && SVNSERVE_USER="svn"
+                       [[ -z "${SVNSERVE_GROUP}" ]] && 
SVNSERVE_GROUP="svnusers"
+               fi
+               chmod -Rf go-rwx "${SVN_REPOS_LOC}/conf"
+               chmod -Rf o-rwx "${SVN_REPOS_LOC}/repos"
+               echo "Please create \"${SVNSERVE_GROUP}\" group if it does not 
exist yet."
+               echo "Afterwards please create \"${SVNSERVE_USER}\" user with 
homedir \"${SVN_REPOS_LOC}\""
+               echo "and as part of the \"${SVNSERVE_GROUP}\" group if it does 
not exist yet."
+               echo "Finally, execute \"chown -Rf 
${SVNSERVE_USER}:${SVNSERVE_GROUP} ${SVN_REPOS_LOC}/repos\""
+               echo "to finish the configuration."
+       fi
+}

diff --git a/dev-vcs/subversion/subversion-1.9.7.ebuild 
b/dev-vcs/subversion/subversion-1.9.7.ebuild
new file mode 100644
index 00000000000..0d83b616b84
--- /dev/null
+++ b/dev-vcs/subversion/subversion-1.9.7.ebuild
@@ -0,0 +1,510 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+USE_RUBY="ruby23 ruby22 ruby21"
+DISTUTILS_OPTIONAL=1
+WANT_AUTOMAKE="none"
+GENTOO_DEPEND_ON_PERL="no"
+
+inherit autotools bash-completion-r1 db-use depend.apache distutils-r1 
elisp-common eutils flag-o-matic java-pkg-opt-2 libtool multilib perl-module 
ruby-single
+
+MY_P="${P/_/-}"
+DESCRIPTION="Advanced version control system"
+HOMEPAGE="http://subversion.apache.org/";
+SRC_URI="mirror://apache/${PN}/${MY_P}.tar.bz2"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="Subversion GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 
~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris 
~x64-solaris ~x86-solaris"
+IUSE="apache2 berkdb ctypes-python debug doc +dso extras gnome-keyring +http 
java kwallet nls perl python ruby sasl test vim-syntax"
+
+COMMON_DEPEND="
+       app-arch/bzip2
+       >=dev-db/sqlite-3.7.12
+       >=dev-libs/apr-1.3:1
+       >=dev-libs/apr-util-1.3:1
+       dev-libs/expat
+       sys-apps/file
+       sys-libs/zlib
+       berkdb? ( >=sys-libs/db-4.0.14:= )
+       ctypes-python? ( ${PYTHON_DEPS} )
+       gnome-keyring? ( dev-libs/glib:2 sys-apps/dbus 
gnome-base/libgnome-keyring )
+       http? ( >=net-libs/serf-1.3.4 )
+       kwallet? ( sys-apps/dbus dev-qt/qtcore:4 dev-qt/qtdbus:4 dev-qt/qtgui:4 
kde-frameworks/kdelibs:4 )
+       perl? ( dev-lang/perl:= )
+       python? ( ${PYTHON_DEPS} )
+       ruby? ( ${RUBY_DEPS} )
+       sasl? ( dev-libs/cyrus-sasl )"
+RDEPEND="${COMMON_DEPEND}
+       apache2? ( www-servers/apache[apache2_modules_dav] )
+       java? ( >=virtual/jre-1.5 )
+       kwallet? ( || (
+               ( >=kde-frameworks/kwallet-5.34.0-r1 )
+               ( kde-apps/kwalletd:4 )
+       ) )
+       nls? ( virtual/libintl )
+       perl? ( dev-perl/URI )"
+# Note: ctypesgen doesn't need PYTHON_USEDEP, it's used once
+DEPEND="${COMMON_DEPEND}
+       !!<sys-apps/sandbox-1.6
+       ctypes-python? ( dev-python/ctypesgen )
+       doc? ( app-doc/doxygen )
+       gnome-keyring? ( virtual/pkgconfig )
+       http? ( virtual/pkgconfig )
+       java? ( >=virtual/jdk-1.5 )
+       kwallet? ( virtual/pkgconfig )
+       nls? ( sys-devel/gettext )
+       test? ( ${PYTHON_DEPS} )"
+
+REQUIRED_USE="
+       ctypes-python? ( ${PYTHON_REQUIRED_USE} )
+       python? ( ${PYTHON_REQUIRED_USE} )
+       test? (
+               ${PYTHON_REQUIRED_USE}
+               !dso
+       )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.5.4-interix.patch
+       "${FILESDIR}"/${PN}-1.5.6-aix-dso.patch
+       "${FILESDIR}"/${PN}-1.8.0-hpux-dso.patch
+       "${FILESDIR}"/${PN}-fix-parallel-build-support-for-perl-bindings.patch
+       "${FILESDIR}"/${PN}-1.8.1-revert_bdb6check.patch
+       "${FILESDIR}"/${PN}-1.8.16-javadoc-nolint.patch
+)
+
+want_apache
+
+pkg_setup() {
+       if use berkdb ; then
+               local apu_bdb_version="$(${EPREFIX}/usr/bin/apu-1-config 
--includes \
+                       | grep -Eoe 
'-I${EPREFIX}/usr/include/db[[:digit:]]\.[[:digit:]]' \
+                       | sed 's:.*b::')"
+               einfo
+               if [[ -z "${SVN_BDB_VERSION}" ]] ; then
+                       if [[ -n "${apu_bdb_version}" ]] ; then
+                               SVN_BDB_VERSION="${apu_bdb_version}"
+                               einfo "Matching db version to apr-util"
+                       else
+                               SVN_BDB_VERSION="$(db_ver_to_slot "$(db_findver 
sys-libs/db 2>/dev/null)")"
+                               einfo "SVN_BDB_VERSION variable isn't set. You 
can set it to enforce using of specific version of Berkeley DB."
+                       fi
+               fi
+               einfo "Using: Berkeley DB ${SVN_BDB_VERSION}"
+               einfo
+
+               if [[ -n "${apu_bdb_version}" && "${SVN_BDB_VERSION}" != 
"${apu_bdb_version}" ]]; then
+                       eerror "APR-Util is linked against Berkeley DB 
${apu_bdb_version}, but you are trying"
+                       eerror "to build Subversion with support for Berkeley 
DB ${SVN_BDB_VERSION}."
+                       eerror "Rebuild dev-libs/apr-util or set 
SVN_BDB_VERSION=\"${apu_bdb_version}\"."
+                       eerror "Aborting to avoid possible run-time crashes."
+                       die "Berkeley DB version mismatch"
+               fi
+       fi
+
+       depend.apache_pkg_setup
+
+       java-pkg-opt-2_pkg_setup
+
+       if ! use http ; then
+               ewarn "WebDAV support is disabled. You need WebDAV to"
+               ewarn "access repositories through the HTTP protocol."
+               ewarn "Consider enabling \"http\" USE flag"
+               echo -ne "\a"
+       fi
+
+       if use debug ; then
+               append-cppflags -DSVN_DEBUG -DAP_DEBUG
+       fi
+
+       # 
http://mail-archives.apache.org/mod_mbox/subversion-dev/201306.mbox/%3c51c42014.3060...@wandisco.com%3E
+       [[ ${CHOST} == *-solaris2* ]] && append-cppflags -D__EXTENSIONS__
+
+       # Allow for custom repository locations.
+       SVN_REPOS_LOC="${SVN_REPOS_LOC:-${EPREFIX}/var/svn}"
+
+       if use ruby ; then
+               local rbslot
+               RB_VER=""
+               for rbslot in $(sed 
's@\([[:digit:]]\+\)\([[:digit:]]\)@\1.\2@g' <<< ${USE_RUBY//ruby}) ; do
+                       if has_version dev-lang/ruby:${rbslot} ;  then
+                               RB_VER="${rbslot/.}"
+                               break
+                       fi
+               done
+               [[ -z "${RB_VER}" ]] && die "No useable ruby version found"
+       fi
+}
+
+src_prepare() {
+       default
+
+       fperms +x build/transform_libtool_scripts.sh
+
+       sed -i \
+               -e "s/\(BUILD_RULES=.*\) bdb-test\(.*\)/\1\2/g" \
+               -e "s/\(BUILD_RULES=.*\) test\(.*\)/\1\2/g" configure.ac
+
+       # this bites us in particular on Solaris
+       sed -i -e '1c\#!/usr/bin/env sh' build/transform_libtool_scripts.sh || \
+               die "/bin/sh is not POSIX shell!"
+
+       eautoconf
+       elibtoolize
+
+       sed -e 's/\(libsvn_swig_py\)-\(1\.la\)/\1-$(EPYTHON)-\2/g' \
+               -i build-outputs.mk || die "sed failed"
+
+       if use python ; then
+               # XXX: make python_copy_sources accept path
+               S=${S}/subversion/bindings/swig/python python_copy_sources
+               rm -r "${S}"/subversion/bindings/swig/python || die
+       fi
+}
+
+src_configure() {
+       local myconf=(
+               --libdir="${EPREFIX%/}/usr/$(get_libdir)"
+               $(use_with apache2 apache-libexecdir)
+               $(use_with apache2 apxs "${APXS}")
+               $(use_with berkdb berkeley-db 
"db.h:${EPREFIX%/}/usr/include/db${SVN_BDB_VERSION}::db-${SVN_BDB_VERSION}")
+               $(use_with ctypes-python ctypesgen "${EPREFIX%/}/usr")
+               $(use_enable dso runtime-module-search)
+               $(use_with gnome-keyring)
+               $(use_enable java javahl)
+               $(use_with java jdk "${JAVA_HOME}")
+               $(use_with kwallet)
+               $(use_enable nls)
+               $(use_with sasl)
+               $(use_with http serf)
+               --with-apr="${EPREFIX%/}/usr/bin/apr-1-config"
+               --with-apr-util="${EPREFIX%/}/usr/bin/apu-1-config"
+               --disable-experimental-libtool
+               --without-jikes
+               --disable-mod-activation
+               --disable-static
+       )
+
+       if use python || use perl || use ruby; then
+               myconf+=( --with-swig )
+       else
+               myconf+=( --without-swig )
+       fi
+
+       if use java ; then
+               myconf+=( --without-junit )
+       fi
+
+       case ${CHOST} in
+               *-aix*)
+                       # avoid recording immediate path to sharedlibs into 
executables
+                       append-ldflags -Wl,-bnoipath
+               ;;
+               *-cygwin*)
+                       # no LD_PRELOAD support, no undefined symbols
+                       myconf+=( --disable-local-library-preloading 
LT_LDFLAGS=-no-undefined )
+                       ;;
+               *-interix*)
+                       # loader crashes on the LD_PRELOADs...
+                       myconf+=( --disable-local-library-preloading )
+               ;;
+               *-solaris*)
+                       # need -lintl to link
+                       use nls && append-libs intl
+                       # this breaks installation, on x64 echo replacement is 
32-bits
+                       myconf+=( --disable-local-library-preloading )
+               ;;
+               *-mint*)
+                       myconf+=( --enable-all-static 
--disable-local-library-preloading )
+               ;;
+               *)
+                       # inject LD_PRELOAD entries for easy in-tree development
+                       myconf+=( --enable-local-library-preloading )
+               ;;
+       esac
+
+       #version 1.7.7 again tries to link against the older installed version 
and fails, when trying to
+       #compile for x86 on amd64, so workaround this issue again
+       #check newer versions, if this is still/again needed
+       myconf+=( --disable-disallowing-of-undefined-references )
+
+       # for build-time scripts
+       if use ctypes-python || use python || use test; then
+               python_setup
+       fi
+
+       if use python && [[ ${CHOST} == *-darwin* ]] ; then
+               export ac_cv_python_link="$(tc-getCC) "'$(PYTHON_CFLAGS) 
-bundle -undefined dynamic_lookup $(PYTHON_LIBS)'
+               export ac_cv_python_libs='$(PYTHON_CFLAGS) -bundle -undefined 
dynamic_lookup $(PYTHON_LIBS)'
+               export ac_cv_python_compile="$(tc-getCC)"
+       fi
+
+       # allow overriding Python include directory
+       ac_cv_path_RUBY=$(usex ruby "${EPREFIX%/}/usr/bin/ruby${RB_VER}" 
"none") \
+       ac_cv_path_RDOC=$(usex ruby "${EPREFIX%/}/usr/bin/rdoc${RB_VER}" 
"none") \
+       ac_cv_python_includes='-I$(PYTHON_INCLUDEDIR)' \
+       econf "${myconf[@]}"
+}
+
+src_compile() {
+       emake local-all
+
+       if use ctypes-python ; then
+               # pre-generate .py files
+               use ctypes-python && emake ctypes-python
+
+               pushd subversion/bindings/ctypes-python >/dev/null || die
+               distutils-r1_src_compile
+               popd >/dev/null || die
+       fi
+
+       if use python ; then
+               swig_py_compile() {
+                       local p=subversion/bindings/swig/python
+                       rm -f ${p} || die
+                       ln -s "${BUILD_DIR}" ${p} || die
+
+                       python_export PYTHON_INCLUDEDIR
+                       emake swig-py \
+                               swig_pydir="$(python_get_sitedir)/libsvn" \
+                               swig_pydir_extra="$(python_get_sitedir)/svn"
+               }
+
+               # this will give us proper BUILD_DIR for symlinking
+               BUILD_DIR=python \
+               python_foreach_impl swig_py_compile
+       fi
+
+       if use perl ; then
+               emake swig-pl
+       fi
+
+       if use ruby ; then
+               emake swig-rb
+       fi
+
+       if use java ; then
+               emake -j1 JAVAC_FLAGS="$(java-pkg_javac-args) -encoding 
iso8859-1" javahl
+       fi
+
+       if use extras ; then
+               emake tools
+       fi
+
+       if use doc ; then
+               doxygen doc/doxygen.conf || die "Building of Subversion HTML 
documentation failed"
+
+               if use java; then
+                       emake doc-javahl
+               fi
+       fi
+}
+
+src_test() {
+       if has_version ~${CATEGORY}/${P} ; then
+               default
+
+               if use ctypes-python ; then
+                       python_test() {
+                               "${PYTHON}" 
subversion/bindings/ctypes-python/test/run_all.py \
+                                       || die "ctypes-python tests fail with 
${EPYTHON}"
+                       }
+
+                       distutils-r1_src_test
+               fi
+
+               if use python ; then
+                       swig_py_test() {
+                               pushd "${BUILD_DIR}" >/dev/null || die
+                               "${PYTHON}" tests/run_all.py || die "swig-py 
tests fail with ${EPYTHON}"
+                               popd >/dev/null || die
+                       }
+
+                       BUILD_DIR=subversion/bindings/swig/python \
+                       python_foreach_impl swig_py_test
+               fi
+       else
+               ewarn "The test suite shows errors when there is an older 
version of"
+               ewarn "${CATEGORY}/${PN} installed. Please install 
=${CATEGORY}/${P}*"
+               ewarn "before running the test suite."
+               ewarn "Test suite skipped."
+       fi
+}
+
+src_install() {
+       emake -j1 DESTDIR="${D}" local-install
+
+       if use ctypes-python ; then
+               pushd subversion/bindings/ctypes-python >/dev/null || die
+               distutils-r1_src_install
+               popd >/dev/null || die
+       fi
+
+       if use python ; then
+               swig_py_install() {
+                       local p=subversion/bindings/swig/python
+                       rm -f ${p} || die
+                       ln -s "${BUILD_DIR}" ${p} || die
+
+                       emake \
+                               DESTDIR="${D}" \
+                               swig_pydir="$(python_get_sitedir)/libsvn" \
+                               swig_pydir_extra="$(python_get_sitedir)/svn" \
+                               install-swig-py
+               }
+
+               BUILD_DIR=python \
+               python_foreach_impl swig_py_install
+       fi
+
+       if use perl ; then
+               emake DESTDIR="${D}" INSTALLDIRS="vendor" install-swig-pl
+               perl_delete_localpod
+               find "${ED}" "(" -name .packlist -o -name "*.bs" ")" -delete
+       fi
+
+       if use ruby ; then
+               emake DESTDIR="${D}" install-swig-rb
+       fi
+
+       if use java ; then
+               emake DESTDIR="${D}" install-javahl
+               java-pkg_regso 
"${ED%/}"/usr/$(get_libdir)/libsvnjavahl*$(get_libname)
+               java-pkg_dojar 
"${ED%/}"/usr/$(get_libdir)/svn-javahl/svn-javahl.jar
+               rm -fr "${ED%/}"/usr/$(get_libdir)/svn-javahl/*.jar
+       fi
+
+       # Install Apache module configuration.
+       if use apache2 ; then
+               keepdir "${APACHE_MODULES_CONFDIR}"
+               insinto "${APACHE_MODULES_CONFDIR}"
+               doins "${FILESDIR}/47_mod_dav_svn.conf"
+       fi
+
+       # Install Bash Completion, bug 43179.
+       newbashcomp tools/client-side/bash_completion svn
+       bashcomp_alias svn svn{admin,dumpfilter,look,sync,version}
+       rm -f tools/client-side/bash_completion
+
+       # Install hot backup script, bug 54304.
+       newbin tools/backup/hot-backup.py svn-hot-backup
+       rm -fr tools/backup
+
+       # Install svnserve init-script and xinet.d snippet, bug 43245.
+       newinitd "${FILESDIR}"/svnserve.initd3 svnserve
+       newconfd "${FILESDIR}"/svnserve.confd svnserve
+       insinto /etc/xinetd.d
+       newins "${FILESDIR}"/svnserve.xinetd svnserve
+
+       #adjust default user and group with disabled apache2 USE flag, bug 
381385
+       use apache2 || sed -e "s\USER:-apache\USER:-svn\g" \
+                       -e "s\GROUP:-apache\GROUP:-svnusers\g" \
+                       -i "${ED%/}"/etc/init.d/svnserve || die
+       use apache2 || sed -e "0,/apache/s//svn/" \
+                       -e "s:apache:svnusers:" \
+                       -i "${ED%/}"/etc/xinetd.d/svnserve || die
+
+       # Install documentation.
+       dodoc CHANGES COMMITTERS README
+       dodoc tools/xslt/svnindex.{css,xsl}
+       rm -fr tools/xslt
+
+       # Install extra files.
+       if use extras ; then
+               cat <<- EOF > 80subversion-extras
+                       PATH="${EPREFIX}/usr/$(get_libdir)/subversion/bin"
+                       ROOTPATH="${EPREFIX}/usr/$(get_libdir)/subversion/bin"
+               EOF
+               doenvd 80subversion-extras
+
+               emake DESTDIR="${D}" 
toolsdir="/usr/$(get_libdir)/subversion/bin" install-tools
+
+               find tools "(" -name "*.bat" -o -name "*.in" -o -name ".libs" 
")" -print0 | xargs -0 rm -fr
+               rm -fr tools/client-side/svnmucc
+               rm -fr 
tools/server-side/{svn-populate-node-origins-index,svnauthz-validate}*
+               rm -fr tools/{buildbot,dev,diff,po}
+
+               insinto /usr/share/${PN}
+               find tools -name '*.py' -exec sed -i -e '1s:python:&2:' {} + || 
die
+               doins -r tools
+       fi
+
+       if use doc ; then
+               docinto html
+               dodoc -r doc/doxygen/html/*
+
+               if use java ; then
+                       java-pkg_dojavadoc doc/javadoc
+               fi
+       fi
+
+       prune_libtool_files --all
+
+       cd "${ED%/}"/usr/share/locale
+       for i in * ; do
+               [[ ${i} == *$LINGUAS* ]] || { rm -r ${i} || die ; }
+       done
+}
+
+pkg_preinst() {
+       # Compare versions of Berkeley DB, bug 122877.
+       if use berkdb && [[ -f "${EROOT%/}/usr/bin/svn" ]] ; then
+               OLD_BDB_VERSION="$(scanelf -nq 
"${EROOT%/}/usr/$(get_libdir)/libsvn_subr-1$(get_libname 0)" | grep -Eo 
"libdb-[[:digit:]]+\.[[:digit:]]+" | sed -e "s/libdb-\(.*\)/\1/")"
+               NEW_BDB_VERSION="$(scanelf -nq 
"${ED%/}/usr/$(get_libdir)/libsvn_subr-1$(get_libname 0)" | grep -Eo 
"libdb-[[:digit:]]+\.[[:digit:]]+" | sed -e "s/libdb-\(.*\)/\1/")"
+               if [[ "${OLD_BDB_VERSION}" != "${NEW_BDB_VERSION}" ]] ; then
+                       CHANGED_BDB_VERSION="1"
+               fi
+       fi
+}
+
+pkg_postinst() {
+       if [[ -n "${CHANGED_BDB_VERSION}" ]] ; then
+               ewarn "You upgraded from an older version of Berkeley DB and 
may experience"
+               ewarn "problems with your repository. Run the following 
commands as root to fix it:"
+               ewarn "    db4_recover -h ${SVN_REPOS_LOC}/repos"
+               ewarn "    chown -Rf apache:apache ${SVN_REPOS_LOC}/repos"
+       fi
+
+       ewarn "If you run subversion as a daemon, you will need to restart it 
to avoid module mismatches."
+}
+
+pkg_postrm() {
+       :
+}
+
+pkg_config() {
+       # Remember: Don't use ${EROOT}${SVN_REPOS_LOC} since ${SVN_REPOS_LOC}
+       # already has EPREFIX in it
+       einfo "Initializing the database in ${SVN_REPOS_LOC}..."
+       if [[ -e "${SVN_REPOS_LOC}/repos" ]] ; then
+               echo "A Subversion repository already exists and I will not 
overwrite it."
+               echo "Delete \"${SVN_REPOS_LOC}/repos\" first if you're sure 
you want to have a clean version."
+       else
+               mkdir -p "${SVN_REPOS_LOC}/conf"
+
+               einfo "Populating repository directory..."
+               # Create initial repository.
+               "${EROOT}usr/bin/svnadmin" create "${SVN_REPOS_LOC}/repos"
+
+               einfo "Setting repository permissions..."
+               SVNSERVE_USER="$(. "${EROOT}etc/conf.d/svnserve"; echo 
"${SVNSERVE_USER}")"
+               SVNSERVE_GROUP="$(. "${EROOT}etc/conf.d/svnserve"; echo 
"${SVNSERVE_GROUP}")"
+               if use apache2 ; then
+                       [[ -z "${SVNSERVE_USER}" ]] && SVNSERVE_USER="apache"
+                       [[ -z "${SVNSERVE_GROUP}" ]] && SVNSERVE_GROUP="apache"
+               else
+                       [[ -z "${SVNSERVE_USER}" ]] && SVNSERVE_USER="svn"
+                       [[ -z "${SVNSERVE_GROUP}" ]] && 
SVNSERVE_GROUP="svnusers"
+               fi
+               chmod -Rf go-rwx "${SVN_REPOS_LOC}/conf"
+               chmod -Rf o-rwx "${SVN_REPOS_LOC}/repos"
+               echo "Please create \"${SVNSERVE_GROUP}\" group if it does not 
exist yet."
+               echo "Afterwards please create \"${SVNSERVE_USER}\" user with 
homedir \"${SVN_REPOS_LOC}\""
+               echo "and as part of the \"${SVNSERVE_GROUP}\" group if it does 
not exist yet."
+               echo "Finally, execute \"chown -Rf 
${SVNSERVE_USER}:${SVNSERVE_GROUP} ${SVN_REPOS_LOC}/repos\""
+               echo "to finish the configuration."
+       fi
+}

Reply via email to